|  | Home | Documentation | saml1__SubjectType Struct Reference updated Sat Jun 9 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__SubjectType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectType is a complexType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__SubjectType:
[legend]

## Public Attributes
struct saml1__NameIdentifierType *saml1__NameIdentifier | nullptr
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":NameIdentifier. More...
struct saml1__SubjectConfirmationType * | saml1__SubjectConfirmation
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":SubjectConfirmation. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectType is a complexType.

struct saml1__SubjectType operations:

- saml1__SubjectType* soap_new_saml1__SubjectType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_saml1__SubjectType(struct soap*, saml1__SubjectType*) default initialize members
- int soap_read_saml1__SubjectType(struct soap*, saml1__SubjectType*) deserialize from a source
- int soap_write_saml1__SubjectType(struct soap*, saml1__SubjectType*) serialize to a sink
- saml1__SubjectType* soap_dup_saml1__SubjectType(struct soap*, saml1__SubjectType* dst, saml1__SubjectType <em>src) returns deep copy of saml1__SubjectType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_saml1__SubjectType(saml1__SubjectType) deep deletes saml1__SubjectType data members, use only on dst after soap_dup_saml1__SubjectType(NULL, saml1__SubjectType *dst, saml1__SubjectType *src) (use soapcpp2 -Ed)

## Member Data Documentation

struct saml1__NameIdentifierType* saml1__NameIdentifier saml1__SubjectType::nullptr

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":NameIdentifier.

Required nillable (xsi:nil when NULL) element.

struct saml1__SubjectConfirmationType* saml1__SubjectType::saml1__SubjectConfirmation

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:""urn:oasis:names:tc:SAML:1.0:assertion":SubjectConfirmation.

The documentation for this struct was generated from the following file:

- saml1.h